<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net5.0</TargetFramework>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Umbraco.Cloud.Identity.Cms" Version="4.0.51" />
        <PackageReference Include="Umbraco.Cloud.StorageProviders.AzureBlob" Version="4.0.0" />
        <PackageReference Include="Umbraco.Cms" Version="9.3.1" />
        <PackageReference Include="Umbraco.Deploy.Cloud" Version="9.2.2" />
        <PackageReference Include="Umbraco.Deploy.Contrib" Version="9.0.0" />
        <PackageReference Include="Umbraco.Deploy.Forms" Version="9.2.2" />
        <PackageReference Include="Umbraco.Forms" Version="9.2.1" />
    </ItemGroup>

    <!-- Force windows to use ICU. Otherwise Windows 10 2019H1+ will do it, but older windows 10 and most if not all winodws servers will run NLS -->
    <ItemGroup Condition="'$(OS)' == 'Windows_NT'">
        <PackageReference Include="Microsoft.ICU.ICU4C.Runtime" Version="68.2.0.9" />
        <RuntimeHostConfigurationOption Include="System.Globalization.AppLocalIcu" Value="68.2" />
    </ItemGroup>
    <ItemGroup>
      <ProjectReference Include="..\FakePaymentGateway.Core\FakePaymentGateway.Core.csproj" />
    </ItemGroup>



    <PropertyGroup>
        <CopyRazorGenerateFilesToPublishDirectory>true</CopyRazorGenerateFilesToPublishDirectory>
    </PropertyGroup>

    <!-- Set this to true if ModelsBuilder mode is not InMemoryAuto-->
    <PropertyGroup>
        <RazorCompileOnBuild>false</RazorCompileOnBuild>
        <RazorCompileOnPublish>false</RazorCompileOnPublish>
    </PropertyGroup>

</Project>
